## org.apache.poi.ss.formula.udf
Interface UDFFinder

All Known Implementing Classes:
  AggregatingUDFFinder, AnalysisToolPak, DefaultUDFFinder, IndexedUDFFinder

    public interface UDFFinder

Common interface for "Add-in" libraries and user defined function libraries.

Author:
  PUdalau

Field Summary
`static UDFFinder` `DEFAULT`

Method Summary
`FreeRefFunction` `findFunction(java.lang.String name)` Returns executor by specified name.

Field Detail

### DEFAULT

    static final UDFFinder DEFAULT

Method Detail

### findFunction

    FreeRefFunction findFunction(java.lang.String name)

  Returns executor by specified name. Returns `null` if the function name is unknown.

  Parameters:
    `name` - Name of function.
  Returns:
    Function executor.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.